Permalink
Fetching contributors…
Cannot retrieve contributors at this time
140 lines (88 sloc) 3.98 KB
1.1.0 (2017-04-15)
------------------
- Add support for Python 3.4, 3.5 and 3.6.
- Deprecate support for Python 2.6: it will be dropped in the next release.
- Drop support for Python 3.2: testing / packaging tools no longer support it.
- Strengthen the hash algorithm used in ``<authtkauthpolicy>`` directive
from ``md5`` -> ``sha512``.
- Add support for ZCML "features" (labels controlling conditional
directives). See: https://github.com/Pylons/pyramid_zcml/pull/1.
- Drop support for pyramid < 1.5, venusian < 1.0.0.
- Add ``pyramid_mako`` testing dependency and configure it in tests
(Current versions of Pyramid split out ``Mako`` integration).
- Fix compatibility with Pyramid 1.8.
1.0.0 (2013-02-28)
------------------
- Add ``setup.py docs`` alias (installs ``Sphinx`` and dependencies).
- Add ``setup.py dev`` alias (runs ``setup.py develop`` plus installs
``nose`` and ``coverage``).
- Add support for Python 3.2 and 3.3.
- Drop support for Pyramid < 1.4.
- Fix for ``xhr`` predicate behaviour: ignore when no ``xhr`` value specified.
- Drop support for Python 2.5, Jython.
0.9.2 (2012-02-20)
------------------
- Stop depending on ``pyramid.config.Configurator.with_context``. Moved
logic into this package in Pyramid 1.3a9+.
- Respect Pyramid 1.3a9+ ``introspection`` Configurator attribute.
0.9.1 (2011-12-14)
------------------
- Readd mistakenly removed ``paste.paster_create_template`` entry point.
0.9 (2011-12-14)
----------------
- Drop dependency on PasteScript (Pyramid 1.3 compat).
- Rename "paster_templates" dir to "scaffolds".
- Make scaffold compatible with Pyramid 1.3a2+ (use wsgiref).
- Drop scaffolding dependency on WebError.
- Scaffold now uses ``pyramid#wsgiref`` server instead of ``paste#http``
server. This will require the use of Pyramid 1.0.2, 1.1.3, 1.2.5, or
1.3a2+.
0.8 (2011-12-06)
----------------
- Pyramid 1.3 compatibility.
- Depend on ``zope.configuration``>=3.8.0dev in order to prevent
misconfigurations involving this package and older versions of
zope.configuration. z.config 3.8.0 uses dictionary-based actions (older
versions used tuple-based actions). Older versions of z.config will mostly
appear to work with this version of pyramid_zcml, except for cases of ZCML
which uses the includeOverrides directive; to avoid any confusion caused by
this, we upward-pin to 3.8.0dev+.
Note that Pyramid 1.0.X, 1.1.X, 1.2.4+ and 1.3 will all still work with the
combination of pyramid_zcml 0.8 + zope.configuration 3.8.0.
0.7 (2011-10-07)
----------------
- The ZCML includeOverrides directive did not work properly when
``pyramid_zcml`` 0.6 was used with Pyramid 1.2. Symptom: inappropriate
``ConfigurationConflictError`` errors. See the discussion at
http://groups.google.com/group/pylons-devel/browse_thread/thread/e9720c67b8388843?hl=en
for more information.
0.6 (2011-09-04)
----------------
- Fix to work under Pyramid 1.2a4 and better.
- Depend explicitly on zope.configuration (upcoming releases of Pyramid will
not).
- Use our a local PyramidConfigurationMachine when collecting ZCML actions,
and splice the locally collected actions onto the configurator context's
actions when ZCML processing is done. This provides Pyramid the freedom to
not rely on zope.configuration in the future, and somewhat futureproofs
``pyramid_zcml`` from changes to action processing in Pyramid.
0.5 (2011-08-24)
----------------
- Compatible with Pyramid 1.2a1.
0.4 (2011-08-17)
----------------
- Fix a unit test failure when used with Venusian 0.9.
- Compatible with Pyramid 1.2dev+.
0.3 (2011-07-22)
----------------
- Add tox.ini for testing.
- Pyramid 1.1 test suite fixes.
0.2 (2011-02-22)
-----------------
- Add ``wild_domain`` argument to authtkauthpolicy directive.
- Depend on ``pyramid>=1.0b1`` (``wild_domain`` argument to authtktauthpolicy
directive).
- Make tests pass on Pyramid 1.0; squash testing deprecation warnings.
0.1 (unknown)
-------------
- Initial release, all ZCML directives broken out of Pyramid core.